# LEGO Star Wars: The Skywalker Saga 1.10.0
# BID: EC593A5F9552100A

DECLARATIONS:
  -
    type: variable
    name: dr_target1
    value_type: float
    default_value: 24
    evaluate: "0.72 * FRAMETIME_TARGET"
  -
    type: variable
    name: dr_target2
    value_type: float
    default_value: 31
    evaluate: "0.93 * FRAMETIME_TARGET"
MASTER_WRITE:
  # redirect reading Dynamic Resolution timing min & max
  -
    type: asm_a64
    main_offset: 0x6171A0
    instructions: [
      [nop],
      [ldr, s3, [x11, 0xe04]],
      [fadd, s1, s1, s3],
      [adrp, x12, $dr_target1],
      [ldr, s2, [x12, $dr_target1]]
    ]
  -
    type: asm_a64
    main_offset: 0x6171F0
    instructions: [
      [adrp, x11, $dr_target2],
      [ldr, s2, [x11, $dr_target2]]
    ]
ALL_FPS:
  # g_video_swap_mode
  ## Setting it to 1 to enable 120 FPS results in resolution range being always forced to docked mode
  -
    type: write
    address: [MAIN, 0xAA62FF0]
    value_type: int32
    value: 2
